aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-runstatus/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-10-07 10:01:22 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-10-22 08:23:16 +0000
commitea7d84f6e8cc660d4606dac92d365d927ed664c0 (patch)
tree94626edc682b36bff4eb4ecebcfa1a7bb1ce3efa /testing/py-runstatus/APKBUILD
parentea7fe89b235be31b58ddf5c8903e2618d3be33b0 (diff)
downloadaports-ea7d84f6e8cc660d4606dac92d365d927ed664c0.tar.gz
aports-ea7d84f6e8cc660d4606dac92d365d927ed664c0.tar.bz2
aports-ea7d84f6e8cc660d4606dac92d365d927ed664c0.tar.xz
testing/py-runstatus: new aport
A Python library to detect program states https://github.com/riquito/runstatus/
Diffstat (limited to 'testing/py-runstatus/APKBUILD')
-rw-r--r--testing/py-runstatus/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-runstatus/APKBUILD b/testing/py-runstatus/APKBUILD
new file mode 100644
index 0000000000..c6e790fa80
--- /dev/null
+++ b/testing/py-runstatus/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-runstatus
+_pkgname=runstatus
+pkgver=1.0
+pkgrel=0
+pkgdesc="A Python library to detect program states"
+url="https://github.com/riquito/runstatus/"
+arch="noarch"
+license="ASL 2.0"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="9d0f3ff2ff68dd4eb3d20d9a65438961 runstatus-1.0.tar.gz"
+sha256sums="e190208683dfa6ef8964e847ead7db3ca203dc17fc09ebfb95544b278d0f082f runstatus-1.0.tar.gz"
+sha512sums="aaca6c7ae023969baeabd2bcd9a3f5016db449ebf76d7b0a85f2b9198e645a77065bf89d259a52ad2c3fefb90a32bf5900d0496a6d0c33cbbf310fc88ab3baeb runstatus-1.0.tar.gz"